| Home | Libraries | People | FAQ | More

## Class template ostream_time_duration_formatter

boost::date_time::ostream_time_duration_formatter —

Put a time type into a stream using appropriate facets.

## Synopsis

    template<typename time_duration_type, typename charT = char>
    class ostream_time_duration_formatter {
    public:
      // types
      typedef std::basic_ostream< charT >                 ostream_type;
      typedef time_duration_type::fractional_seconds_type fractional_seconds_type;

      // public static functions
      void duration_put(const time_duration_type &, ostream_type &) ;
    };

## Description

### `ostream_time_duration_formatter` public static functions

1.     void duration_put(const time_duration_type & td, ostream_type & os) ;

   Put time into an ostream.

| Copyright © 2001-2004 CrystalClear Software, Inc